#ifndef GRAPHICSSCENE_H
#define GRAPHICSSCENE_H

#include <QGraphicsScene>

class GraphicsScene : public QGraphicsScene
{
    Q_OBJECT

public:
    explicit GraphicsScene(QObject *parent = 0);
    virtual ~GraphicsScene();

protected:
    virtual void dragEnterEvent(QGraphicsSceneDragDropEvent *e);
    virtual void dragMoveEvent(QGraphicsSceneDragDropEvent *e);
    virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *e);
    virtual void mousePressEvent(QGraphicsSceneMouseEvent *e);
    virtual void keyPressEvent(QKeyEvent *e);
};

#endif // GRAPHICSSCENE_H
